httppower(8)

NAME
httppower - communicate with HTTP based power distribution units

SYNOPSIS
httppower [--url URL]

DESCRIPTION
httppower is a helper program for powerman which enables it to communicate with HTTP based power distribution units. It is run interactively by the powerman daemon.

OPTIONS

-u, --url URL
    Set the base URL.

INTERACTIVE COMMANDS
The following commands are accepted at the httppower> prompt:

auth user:pass
    Authenticate to the base URL with specified user and password, using ``basic'' HTTP authentication which sends the user and password over the network in plain text.

seturl URL
    Set the base URL. Overrides the command line option.

get [URL-suffix]
    Send an HTTP GET to the base URL with the optional URL-suffix appended.

post [URL-suffix] key=val[&key=val]...
    Send an HTTP POST to the base URL with the optional URL-suffix appended, and key-value pairs as argument.

FILES
/usr/sbin/httppower
/etc/powerman/powerman.conf

ORIGIN
PowerMan was originally developed by Andrew Uselton on LLNL's Linux clusters. This software is open source and distributed under the terms of the GNU GPL.

SEE ALSO
powerman(1), powermand(8), httppower(8), plmpower(8), vpcd(8), powerman.conf(5), powerman.dev(5), powerman-devices(7).

http://sourceforge.net/projects/powerman